<?php
session_start();

error_reporting(0);
// Motrar todos los errores de PHP
error_reporting(-1);
// No mostrar los errores de PHP
error_reporting(0);
// Motrar todos los errores de PHP
error_reporting(E_ALL);
// Motrar todos los errores de PHP
ini_set('error_reporting', E_ALL);

define("DOMAIN","leonardodavinci");
define("WEB","https://clientesvm8.cl/".DOMAIN."/");
define("TITLE",DOMAIN);
define("DESCRIPTION","");
define("IMAGESEO","");
define('MAGO',"https://clientesvm8.cl/".DOMAIN."/mago/");



$language = "es_ES";
if(isset($_GET["EN"])){ $language = "en_US"; }else{ $language="es_ES"; }

$configuracion = array(

    'webhost' => 'clientesvm8.cl/leonardodavinci/', // CON Backslash y SIN HTTP al comienzo
    'webroot' => '', // CON Backslash o dejar vacío si no aplica


    "dbuser"            => "clientesvm8_all",
    "dbpass"            => "x2-Bn9=RvV^*",
    "dbname"            => "clientesvm8_davinci",
    "dbhost"            => "localhost",

    /** CREDENCIALES DE CUENTA SMTP PARA ENVÍO DE EMAILS POR PHPMAILER*/
    'usar_smtp'       => 'si', /** Un valor distinto a "si" desactiva el envío por SMTP */
    'smtp_hostname'   => '104.239.130.26',
    'smtp_host'       => '104.239.130.26',
    'smtp_port'       => '587', /* 26 */
    'smtp_username'   => 'productor@passline.com',
    'smtp_password'   => 'PsQpNn9dhd4T',

    /** UTILIZADOS EN EL ENVÍO DE EMAILS POR PHPMAILER*/
    'mail_from'       => 'productor@passline.com',
    'mail_fromname'   => 'PASSLINE - ABONADOS DEMO',
);
date_default_timezone_set('America/Santiago');

//Found image configuration 
/*
function foundimage($foundimage){
    $file = $evento["image"];
    $file_headers = @get_headers($foundimage);
    if($file_headers[0] != 'HTTP/1.1 404 Not Found') {
           return $foundimage;
    }else{
        return WEB."assets/img/event-passline-image-404.jpg";
    }       
}

*/

$_SESSION['pagina_actual'] = isset($_SESSION['pagina_actual']) ? $_SESSION['pagina_actual'] : NULL;

// Incluimos las librerías en la ruta
$rootPath = dirname(__FILE__);
$logsPath = "/home/clientesvm8/public_html/leonardodavinci/";
$rutaabs = "/home/clientesvm8/public_html/leonardodavinci/";


set_include_path(
    get_include_path() .
    PATH_SEPARATOR . $rootPath .
    PATH_SEPARATOR . $rootPath . '/lib'
    );



require 'ez_sql_loader.php'; // Require path to where you extracted your ezSQL v3 file
require_once 'mysqli.php';

$db = new mySql( $configuracion['dbuser'],$configuracion['dbpass'],$configuracion['dbname'],$configuracion['dbhost'],'utf8');

/** Definimos las constantes de configuración */
define('LLAVE_1',$db->getVar('configuracion','llave_1'));
$datos_de_configuracion = $db->row('configuracion','*');
$datos = $db->row('datos','*');


//declarar variables warning
global $metatitle;
global $metadescription;
global $keywords;
global $metaimage;
global $facebook_pixel_code;
global $carrototal;


//declaracion variables mago
global $busqueda;
global $filtro_busqueda;
global $filtroestado;
global $buscarfecha;
global $lafecha;
global $end;



// FUNCIONES
require_once 'funciones.php';

// MAGO
require_once 'mago.php';

// USUARIOS
require_once 'users.php';